# IEvent2
Date: 2011-05-10

## jrummikub.util
Interface IEvent2<T1,T2>

Type Parameters:
  `T1` - type of the first event parameter
  `T2` - type of the second event parameter

All Known Implementing Classes:
  Event2

    public interface IEvent2<T1,T2>

Interface for classes that can generate events having a two parameters

Method Summary
`Connection` `add(IListener2<T1,T2> listener)` Start to publish all events to a given listener
`void` `remove(IListener2<T1,T2> listener)` Stop publishing events to a given listener

Method Detail

### add

    Connection add(IListener2<T1,T2> listener)

  Start to publish all events to a given listener

  Parameters:
    `listener` - target listener
  Returns:
    a connection to remove the listener

### remove

    void remove(IListener2<T1,T2> listener)

  Stop publishing events to a given listener

  Parameters:
    `listener` - target listener